from fastapi import APIRouter

from backend.models import ExportRequest, ExportResponse

export_router = APIRouter(prefix="/export", tags=["Export"])

@export_router.post("/", response_model=ExportResponse)
def export_data(request: ExportRequest):
    """
    Export analysed data (e.g., as JSON, CSV, or PDF).
    """
    exported_data_url = ...
    return {"url": exported_data_url}
