from fastapi import APIRouter

from backend.models import ImportRequest, ImportResponse

import_router = APIRouter(prefix="/import", tags=["Import"])


@import_router.post("/", response_model=ImportResponse)
def import_data(request: ImportRequest):
    """
    Import data (e.g., text, files, or structured data).
    """
    response = ...
    return response
