#!/bin/bash

# Create core directories
mkdir -p backend frontend

# Create Dockerfiles for each service
touch backend/Dockerfile frontend/Dockerfile

# Create placeholder for environment files
touch .env

# Create directory for Milvus data persistence
mkdir -p ./volumes/milvus

# Create directory for Flowise data persistence
mkdir -p ./volumes/flowise
